
Katello - Feature #5010

RFE: Return more information from hammer repository list cli command

04/01/2014 06:10 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Current implementation of hammer repository list command only returns the repo ID and label. It would be useful to return at least the

repository name, url, and type

1. hammer repository list --organization-id='ACME_Corporation'

---|------

ID | LABEL

---|------

36 | bar

35 | foo

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-compute-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-libvirt-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-postgresql-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.31-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-5.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-11.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.  hammer -v repository create --name='foo' --enabled='true' --content-type='yum' --product-id=90 --publish-via-http='true'

--feed=http://omaciel.fedorapeople.org/fakerepo01/

2.  hammer -v repository create --name='bar' --enabled='false' --content-type='yum' --product-id=90 --publish-via-http='true'

--feed=http://omaciel.fedorapeople.org/fakerepo02/

3.  hammer repository list

Associated revisions

Revision d4c8ae73 - 04/02/2014 04:05 PM - Partha Aji

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Added repo enable /disable

Also added some requested enhancements to the cli.

Changed the use of param feed to param url (by aliasing.)

Also changed the index call to return in the proper API V1 - V2 way.

Revision 2e29082d - 04/02/2014 07:44 PM - Partha Aji

Fixes #4984, #5001, #5010 - Repo enable/disable

Also contains changes to show more info in the repo list call.

Also updated the repo update to now use --url instead of --feed to

update the feed url.

Revision ec3e2d80 - 04/02/2014 08:05 PM - Partha Aji

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Added repo enable /disable

Also added some requested enhancements to the cli.

Changed the use of param feed to param url (by aliasing.)

Also changed the index call to return in the proper API V1 - V2 way.

Revision 0f713162 - 04/03/2014 11:45 AM - Partha Aji 

Merge pull request #3932 from parthaa/repo-commands

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Revision dfbfdecd - 04/03/2014 03:45 PM - Partha Aji

Merge pull request #3932 from parthaa/repo-commands

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Revision b14a89ca - 04/03/2014 03:53 PM - Partha Aji 

Merge pull request #131 from parthaa/repo-enable

Fixes #4984, #5001, #5010 - Repo enable/disable

History

#1 - 04/03/2014 03:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ec3e2d80b922e9839cf6843d7968ba1281108ae1.

#2 - 08/21/2014 02:43 PM - Eric Helms

- translation missing: en.field_release set to 13
#3 - 12/18/2019 09:49 AM - Shira Maximov

Changing the

#4 - 12/18/2019 11:09 AM - Shira Maximov

Changing the

#5 - 12/18/2019 11:25 AM - Shira Maximov

Changing the
